Opened 4 weeks ago

Closed 4 weeks ago

#945 closed request (fixed)

require GSL 1.13

Reported by: Peter Owned by: Peter
Priority: trivial Milestone: yat 0.18
Component: utility Version: trunk
Keywords: Cc:

Description

When calling gsl free function we are often checking that pointer is not NULL. This is not needed since gsl allow null pointers since version 1.13, so I suggest we bump the GSL requirement to 1.13 and get rid of those checks.

GSL 1.13 was released 2009 so should not be a problem.

Change History (2)

comment:1 Changed 4 weeks ago by Peter

Owner: changed from Jari Häkkinen to Peter
Status: newaccepted

comment:2 Changed 4 weeks ago by Peter

Resolution: fixed
Status: acceptedclosed

In 3907:

remove checks for nullptr before calling gsl free function and require GSL version 1.13 (or newer). closes #945.

Note: See TracTickets for help on using tickets.